> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/ntopin/26-mytshon-znmappunidzukuntowo.md).

# 26. ミューテーション: ゾーンマップに紐づくノートを保存

このミューテーションにより、指定されたZonesMapにノートを添付できます。

* ノートはフィールドの一意の識別子を介してリンクできます `fieldUuid` および関連するZonesMapには以下でリンクします `vectorAnalysisMapUuid`.
* ノートの座標は以下を使用して設定できます `centroid` 属性で、これには定義された必要があります `latitude` と `longitude` 値。&#x20;
* ノートの種類は以下の属性で指定できます `タイプ` 属性、許容値は次のとおりです `PLANNED` または `REAL`.&#x20;
* ノートの説明は以下を使用して提供できます `comment` 属性。説明が複数行にする必要がある場合は、 `comment` 属性は改行文字を含む文字列にする必要があります `\\n` で行を区切ります。例えば： `"First line. is here\\nSecond line is here.\\nThird line is here."`.

サンプルリクエストは以下にあります：

```graphql
mutation SaveNoteAttachedToZonesMap {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: REAL,
    comment: "ZonesMapに添付されたテストノート",
    vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    作成日
    updatedDate
    タイプ
    comment
    vectorAnalysisMap {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveMultiLineNoteAttachedToZonesMap {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: REAL,
    comment: "1行目がここにあります\\n2行目がここにあります。\\n3行目がここにあります。",
    vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    作成日
    updatedDate
    タイプ
    comment
    vectorAnalysisMap {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/ntopin/26-mytshon-znmappunidzukuntowo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
